/* $Id: 8bpp_debug.hpp 12971 2008-05-06 15:11:33Z rubidium $ */

/** @file 8bpp_debug.hpp A 8 bpp blitter that uses random colours to show the drawn sprites. */

#ifndef BLITTER_8BPP_DEBUG_HPP
#define BLITTER_8BPP_DEBUG_HPP

#include "8bpp_base.hpp"
#include "factory.hpp"

class Blitter_8bppDebug : public Blitter_8bppBase {
public:
	/* virtual */ void Draw(Blitter::BlitterParams *bp, BlitterMode mode, ZoomLevel zoom);
	/* virtual */ Sprite *Encode(SpriteLoader::Sprite *sprite, Blitter::AllocatorProc *allocator);

	/* virtual */ const char *GetName() { return "8bpp-debug"; }
};

class FBlitter_8bppDebug: public BlitterFactory<FBlitter_8bppDebug> {
public:
	/* virtual */ const char *GetName() { return "8bpp-debug"; }
	/* virtual */ const char *GetDescription() { return "8bpp Debug Blitter (testing only)"; }
	/* virtual */ Blitter *CreateInstance() { return new Blitter_8bppDebug(); }
};

#endif /* BLITTER_8BPP_DEBUG_HPP */
